/* Cristo */

div.settings-panel {
  max-width: 1450px !important;
}

div.settings-body {
  flex-basis: unset !important;
  overflow-y: unset !important;
  border-top-right-radius: 8px !important;
}

div.settings-body > div {
  width: 100%;
}

div.nested-datatable {
  display: flex;
  flex-direction: column;
}

div.nested-datatable > div {
  max-width: unset !important;
}

div.empresas-opticas {
  display: flex;
  justify-content: space-between;
  padding-bottom: 5px;
  border-bottom: 1px solid var(--light-gray);
  margin-bottom: 10px;
}

div.empresas-opticas-options {
  display: flex;
}

div.settings-panel span.button-icon-text {
  font-size: 13px;
}

div.settings-panel div.table-row {
  border-bottom: 1px solid var(--light-gray);
  min-height: 40px;
  align-items: center;
}

div.settings-panel div.table-row:hover {
  background-color: var(--subtle-blue);
}

div.settings-panel button.toggle-icon {
  background-color: unset !important;
}

div.settings-panel button.toggle-icon img {
  width: 16px;
  height: 16px;
}

div#empresas-opticas-table div.table-header {
  border-top-left-radius: 10px !important;
  border-top-right-radius: 10px !important;
  border-bottom-left-radius: 0px !important;
  border-bottom-right-radius: 0px !important;
  font-size: 13px;
}

div#empresas-opticas-table
  div.table-header
  > span.table-header-item:nth-child(1),
div#empresas-opticas-table div.table-data-row > .table-row-item:nth-child(1) {
  width: 3%;
}

div#empresas-opticas-table
  div.table-header
  > span.table-header-item:nth-child(2),
div#empresas-opticas-table div.table-data-row > .table-row-item:nth-child(2) {
  width: 3%;
}

div#empresas-opticas-table
  div.table-header
  > span.table-header-item:nth-child(3),
div#empresas-opticas-table div.table-data-row > .table-row-item:nth-child(3) {
  width: 6%;
}

div#empresas-opticas-table
  div.table-header
  > span.table-header-item:nth-child(4),
div#empresas-opticas-table div.table-data-row > .table-row-item:nth-child(4) {
  width: 23%;
}

div#empresas-opticas-table
  div.table-header
  > span.table-header-item:nth-child(5),
div#empresas-opticas-table div.table-data-row > .table-row-item:nth-child(5) {
  width: 23%;
}

div#empresas-opticas-table
  div.table-header
  > span.table-header-item:nth-child(6),
div#empresas-opticas-table div.table-data-row > .table-row-item:nth-child(6) {
  width: 6%;
}

div#empresas-opticas-table
  div.table-header
  > span.table-header-item:nth-child(7),
div#empresas-opticas-table div.table-data-row > .table-row-item:nth-child(7) {
  width: 6%;
}

div#empresas-opticas-table
  div.table-header
  > span.table-header-item:nth-child(8),
div#empresas-opticas-table div.table-data-row > .table-row-item:nth-child(8) {
  width: 20%;
}

div#empresas-opticas-table
  div.table-header
  > span.table-header-item:nth-child(9),
div#empresas-opticas-table div.table-data-row > .table-row-item:nth-child(9) {
  width: 10%;
}

div#empresas-opticas-table div.table-data-row > .table-row-item:nth-child(1) {
  display: flex;
  justify-content: flex-start;
}

div#empresas-opticas-table div.table-data-row > .table-row-item:nth-child(9) {
  display: flex;
  justify-content: flex-end;
  padding-right: 10px;
}

div#empresas-opticas-table div.table-data-row {
  padding: unset !important;
}

div#empresas-opticas-table div.table-row {
  width: 100%;
}

div#empresas-opticas-table div.table-data-row {
  width: 100%;
  max-width: unset !important;
  gap: 0px !important;
}

div#empresas-opticas-table div.table-header {
  gap: 0px !important;
  padding: 0px !important;
}

div#empresas-opticas-table div.nested-table-header {
  font-size: 13px;
  padding: 0px !important;
  gap: 0px !important;
  width: 100%;
  max-width: unset !important;
  border-bottom: 1px solid var(--light-gray);
}

div#empresas-opticas-table
  div.nested-table-header
  > span.nested-table-header-item:nth-child(1),
div#empresas-opticas-table
  div.nested-table-data-row
  > .table-row-item:nth-child(1) {
  width: 3%;
}

div#empresas-opticas-table
  div.nested-table-header
  > span.nested-table-header-item:nth-child(2),
div#empresas-opticas-table
  div.nested-table-data-row
  > .table-row-item:nth-child(2) {
  width: 6%;
}

div#empresas-opticas-table
  div.nested-table-header
  > span.nested-table-header-item:nth-child(3),
div#empresas-opticas-table
  div.nested-table-data-row
  > .table-row-item:nth-child(3) {
  width: 26%;
}

div#empresas-opticas-table
  div.nested-table-header
  > span.nested-table-header-item:nth-child(4),
div#empresas-opticas-table
  div.nested-table-data-row
  > .table-row-item:nth-child(4) {
  width: 13%;
}

div#empresas-opticas-table
  div.nested-table-header
  > span.nested-table-header-item:nth-child(5),
div#empresas-opticas-table
  div.nested-table-data-row
  > .table-row-item:nth-child(5) {
  width: 13%;
}

div#empresas-opticas-table
  div.nested-table-header
  > span.nested-table-header-item:nth-child(6),
div#empresas-opticas-table
  div.nested-table-data-row
  > .table-row-item:nth-child(6) {
  width: 13%;
}

div#empresas-opticas-table
  div.nested-table-header
  > span.nested-table-header-item:nth-child(7),
div#empresas-opticas-table
  div.nested-table-data-row
  > .table-row-item:nth-child(7) {
  width: 26%;
}

div#empresas-opticas-table div.nested-table-data-row {
  padding: 0px !important;
  gap: 0px !important;
  width: 100%;
  max-width: unset !important;
}

div#settings {
  display: flex;
}

div#settings div.patient-data-content {
  flex-grow: 1;
  padding: 0px 10px 10px 10px;
}

div#settings div.nested-datatable span {
  display: block;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  width: 100%;
}

div.popup-settings-company div.company-data-field > span,
div.popup-settings-company div.company-data-field-extra > span {
  color: var(--dark-blue);
  font-family: Montserrat, sans-serif;
  font-size: 13px;
  font-weight: 500;
}

div.company-popup-screen {
  height: unset !important;
}

div.popup-settings-company div.popup-message {
  max-width: unset !important;
}

div.popup-settings-company
  div.popup-message
  div.company-data-field-row-extra:nth-child(1)
  div.company-data-field:nth-child(2) {
  justify-content: center;
}

div.popup-settings-company
  div.popup-message
  div.company-data-field-row-extra:nth-child(1)
  div.company-data-field:nth-child(2)
  span,
div.popup-settings-company
  div.popup-message
  div.company-data-field-row-extra:nth-child(1)
  div.company-data-field:nth-child(3)
  span {
  text-align: right;
  margin-right: 10px;
}

div.popup-row-buttons-container {
  display: flex;
  width: 100%;
  margin-top: 5px;
}

div.optic-section-content {
  max-width: 1200px;
  max-height: 750px;
  padding-right: 10px;
}

div.popup-settings-company div.optic-data-field > span,
div.popup-settings-company div.optic-data-field-extra > span {
  color: var(--dark-blue);
  font-family: Montserrat, sans-serif;
  font-size: 13px;
  font-weight: 500;
}

div.popup-settings-company div.optic-data-field-extra > span {
  text-align: right;
  margin-right: 10px;
}

.optic-data-field-extra .label {
  width: unset !important;
}

div.iva-table-container {
  width: 100%;
}

table.iva-table td {
  font-family: Montserrat, sans-serif;
  font-size: 13px !important;
  font-weight: 500 !important;
}

.iva-table td {
  border: 0px !important;
}

.optic-data-content-settings {
  padding-top: 10px !important;
}

div.optic-logo-container > div > span {
  margin-bottom: 8px;
  display: block;
  text-align: left;
}

div.optic-setting-body div.input-text-area {
  border-top-left-radius: 0px !important;
  border-top-right-radius: 0px !important;
}

textarea.inputtextclausulas-not-expanded {
  height: 100px !important;
}

textarea.inputtextclausulas-expanded {
  height: 300px !important;
}

div.optic-setting-body div.input-text-area {
  height: unset !important;
}

.optic-tab-container {
  min-height: unset !important;
  margin-top: 0px !important;
  margin-bottom: 0px !important;
}
